GET Person/{id}
Some tooltip text!
• 15 minutes to read
• 15 minutes to read
GET /api/v1/Person/{id}
Gets a PersonEntity object.
Calls the Person agent service GetPersonEntity. NsApiSlow threshold: 2000 ms.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The id of the PersonEntity to return. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
| fk | bool | Load foreign keys on this entity into the ExtraFields property as 'app.device.keyname'='123' pairs. |
GET /api/v1/Person/{id}?$select=name,department,category/id
GET /api/v1/Person/{id}?fk=False
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
PersonEntity found.
| Response | Description |
|---|---|
| 200 | PersonEntity found. |
| 304 | PersonEntity has not changed since the requested If-Modified-Since date. |
| 404 | Not Found. |
Response body: PersonEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| PersonId | int32 | Primary key |
| Firstname | string | First name |
| MiddleName | string | Middle name or 'van' etc. |
| Lastname | string | Last name |
| Mrmrs | string | e.g. Mrs sex_title Use MDO List name "mrmrs" to get list items. |
| Title | string | Title |
| UpdatedDate | date-time | Last updated date in UTC. |
| CreatedDate | date-time | Registered date in UTC. |
| BirthDate | date-time | The Person birth date as UTC Date. Year 1 = Null. Year 2 = unknown year. |
| CreatedBy | Associate | The user that created the person object |
| Emails | array | A collection of the person's emails |
| Description | string | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| IsAssociate | bool | Checks if the person object is an associate. The property is read-only. |
| PrivatePhones | array | Returns a collection of phone numbers that belong to the contact person. |
| Faxes | array | Returns a collection of fax numbers that belong to the contact person. |
| MobilePhones | array | Returns a collection of mobile phone numbers that belong to the contact person. |
| OfficePhones | array | Returns a collection of office phone numbers that belong to the contact person. |
| OtherPhones | array | Returns a collection of pagers that belong to the contact person. |
| Position | Position | The position. This is a predefined SuperOffice value, different from Title Use MDO List name "perspos" to get list items. |
| UpdatedBy | Associate | The person that last updated the person object |
| Contact | Contact | The contact the contact person is registered on. This is required unless the 'MandatoryContactOnPerson' preference is set. Use MDO List name "contact_new" to get list items. |
| Country | Country | The country this contact person is located in. Use MDO List name "country" to get list items. |
| Interests | array | The person's available and selected interests. Use MDO List name "persint" to get list items. |
| PersonNumber | string | Alphanumeric user field |
| FullName | string | The person's full name localized to the current culture/country. (internal name used in clients for employees) |
| NoMailing | bool | Spam filter. Indicates if this person should retrieve advertising. |
| UsePersonAddress | bool | True if the person's address should be used as mailing address, instead of the contact's address. |
| Retired | bool | True if the user is retired and should have no rights, not appear in lists, etc. |
| Urls | array | The urls related to this person. |
| FormalName | string | Get formal name for a person, as used in labels. (Full name + person title + academic title) |
| Address | Address | Structure holding formatted address data. The layout of the array structure indicates the layout of the localized address. |
| Post3 | string | Postal address, used in Japanese versions only |
| Post2 | string | Postal address, used in Japanese versions only |
| Post1 | string | Postal address, used in Japanese versions only |
| Kanalname | string | Kana last name, used in Japanese versions only |
| Kanafname | string | Kana first name, used in Japanese versions only |
| CorrespondingAssociate | Associate | The associate corresponding to this person. Will be empty if the person is not a user (internal associate user, external user). |
| Category | Category | Person's category. Usually null. Refer to the Contact.Category instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "category" to get list items. |
| Business | Business | Person's business - usually blank. Use Contact.Business instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "business" to get list items. |
| Associate | Associate | The associate owning this person (similar to contact.Associate) - usually blank. Use the Person.Contact.Associate instead. Intended for use when individual persons are created (i.e. when Person.Contact is blank) Use MDO List name "associate" to get list items. |
| Salutation | string | Academic title, populated from Salutation list but can be overwritten with anything at all Use MDO List name "salutation" to get list items. |
| ActiveInterests | int32 | The number of active interests. |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | Use MDO List name "customerlanguage" to get list items. |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| DbiLastSyncronized | date-time | Last external syncronization. |
| SentInfo | int32 | Has information on username/password been sent (ejournal) |
| ShowContactTickets | int32 | Should tickets related to the company be shown to this person |
| UserInfo | UserInfo | Information about the user if this person is a user. If IsAssociate (e.g. is user is true) the UserInfo will be provided. |
| ChatEmails | array | |
| InternetPhones | array | |
| Source | int32 | How did we get this person? For future integration needs |
| ActiveErpLinks | int32 | How many active ERP links are there for this person? |
| ShipmentTypes | array | The person's available and selected shipment types. |
| Consents | array | The person's available consent information. Missing consents are not deleted. To remove a consent, mark its legalbase as 'WITHDRAWN' |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for person |
| CreatedByFormId | int32 | The form id of the form that created the person |
| UtmParameters | SavedUtmParameters | Utm parameters when creating this person, readonly fields |
| LeadstatusId | int32 | Refinement of categories of lead type. Empty if the category is not a lead type. |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.PersonEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
GET /api/v1/Person/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Sample response
HTTP/1.1 200 PersonEntity found.
Content-Type: application/json; charset=utf-8
Last-Modified: Sun, 02 Oct 2022 14:34:02 G10T
{
"PersonId": 348,
"Firstname": "John",
"MiddleName": "Nicolas-Eichmann",
"Lastname": "Smith",
"Mrmrs": "ut",
"Title": "Sales Manager",
"UpdatedDate": "2022-10-02T14:34:02.081257+02:00",
"CreatedDate": "2025-02-18T14:34:02.081257+01:00",
"BirthDate": "2006-01-03T14:34:02.081257+01:00",
"CreatedBy": null,
"Emails": [
{
"Value": "aspernatur",
"StrippedValue": "quis",
"Description": "Primary contact",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 866
}
}
},
{
"Value": "aspernatur",
"StrippedValue": "quis",
"Description": "Primary contact",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 866
}
}
}
],
"Description": "Front-line bifurcated solution",
"IsAssociate": false,
"PrivatePhones": [
{
"Value": "sunt",
"StrippedValue": "doloremque",
"Description": "Primary contact",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 773
}
}
},
{
"Value": "sunt",
"StrippedValue": "doloremque",
"Description": "Primary contact",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 773
}
}
}
],
"Faxes": [
{
"Value": "voluptatum",
"StrippedValue": "nisi",
"Description": "Profit-focused neutral access",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 995
}
}
},
{
"Value": "voluptatum",
"StrippedValue": "nisi",
"Description": "Profit-focused neutral access",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 995
}
}
}
],
"MobilePhones": [
{
"Value": "nostrum",
"StrippedValue": "sed",
"Description": "Ergonomic even-keeled capacity",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 186
}
}
},
{
"Value": "nostrum",
"StrippedValue": "sed",
"Description": "Ergonomic even-keeled capacity",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 186
}
}
}
],
"OfficePhones": [
{
"Value": "enim",
"StrippedValue": "omnis",
"Description": "Devolved well-modulated moderator",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 501
}
}
},
{
"Value": "enim",
"StrippedValue": "omnis",
"Description": "Devolved well-modulated moderator",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 501
}
}
}
],
"OtherPhones": [
{
"Value": "quis",
"StrippedValue": "modi",
"Description": "User-friendly hybrid knowledge user",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 259
}
}
},
{
"Value": "quis",
"StrippedValue": "modi",
"Description": "User-friendly hybrid knowledge user",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 259
}
}
}
],
"Position": null,
"UpdatedBy": null,
"Contact": null,
"Country": null,
"Interests": [
{
"Id": 488,
"Name": "Wilkinson Group",
"ToolTip": "Temporibus quo.",
"Deleted": false,
"Rank": 51,
"Type": "laboriosam",
"ColorBlock": 301,
"IconHint": "provident",
"Selected": true,
"LastChanged": "2007-09-12T14:34:02.0842594+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "et",
"StyleHint": "consequuntur",
"Hidden": false,
"FullName": "Mr. Korbin Metz",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 466
}
}
}
],
"PersonNumber": "901841",
"FullName": "Mrs. Franz Marks MD",
"NoMailing": false,
"UsePersonAddress": false,
"Retired": true,
"Urls": [
{
"Value": "quam",
"StrippedValue": "consequatur",
"Description": "Up-sized analyzing migration",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 497
}
}
},
{
"Value": "quam",
"StrippedValue": "consequatur",
"Description": "Up-sized analyzing migration",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 497
}
}
}
],
"FormalName": "Howe Inc and Sons",
"Address": null,
"Post3": "excepturi",
"Post2": "nulla",
"Post1": "exercitationem",
"Kanalname": "voluptatibus",
"Kanafname": "sit",
"CorrespondingAssociate": null,
"Category": null,
"Business": null,
"Associate": null,
"Salutation": "labore",
"ActiveInterests": 930,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"DbiAgentId": 958,
"DbiKey": "enim",
"DbiLastModified": "1998-10-28T14:34:02.0862561+01:00",
"DbiLastSyncronized": "2001-01-27T14:34:02.0862561+01:00",
"SentInfo": 491,
"ShowContactTickets": 798,
"UserInfo": null,
"ChatEmails": [
{
"Value": "qui",
"StrippedValue": "delectus",
"Description": "Primary contact",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 711
}
}
},
{
"Value": "qui",
"StrippedValue": "delectus",
"Description": "Primary contact",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 711
}
}
}
],
"InternetPhones": [
{
"Value": "eos",
"StrippedValue": "delectus",
"Description": "Mandatory full-range help-desk",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 617
}
}
},
{
"Value": "eos",
"StrippedValue": "delectus",
"Description": "Mandatory full-range help-desk",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 617
}
}
}
],
"Source": 911,
"ActiveErpLinks": 443,
"ShipmentTypes": [
{
"Id": 903,
"Name": "Koepp, McCullough and Hilpert",
"ToolTip": "Distinctio itaque quidem corporis.",
"Deleted": false,
"Rank": 572,
"Type": "sint",
"ColorBlock": 316,
"IconHint": "quis",
"Selected": false,
"LastChanged": "2008-08-17T14:34:02.0872565+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "sit",
"StyleHint": "et",
"Hidden": false,
"FullName": "Keely Gisselle Kozey MD",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 671
}
}
}
],
"Consents": [
{
"ConsentPersonId": 738,
"Comment": "optio",
"Registered": "2016-10-24T14:34:02.0872565+02:00",
"RegisteredAssociateId": 616,
"Updated": "2019-09-11T14:34:02.0872565+02:00",
"UpdatedAssociateId": 658,
"LegalBaseId": 75,
"LegalBaseKey": "aut",
"LegalBaseName": "Johns-Kuhn",
"ConsentPurposeId": 600,
"ConsentPurposeKey": "id",
"ConsentPurposeName": "Gleichner LLC",
"ConsentSourceId": 162,
"ConsentSourceKey": "consequatur",
"ConsentSourceName": "Little, Hyatt and Hauck",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 531
}
}
}
],
"BounceEmails": [
"madge@pouros.uk",
"enos@williamson.ca"
],
"ActiveStatusMonitorId": 274,
"CreatedByFormId": 442,
"UtmParameters": null,
"LeadstatusId": 695,
"UserDefinedFields": {
"SuperOffice:1": "Prof. Abdullah Osborne Johns",
"SuperOffice:2": "1415483670"
},
"ExtraFields": {
"ExtraFields1": "nihil",
"ExtraFields2": "quibusdam"
},
"CustomFields": {
"CustomFields1": "voluptatem",
"CustomFields2": "consectetur"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 632
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/contact/321",
"Archive": "https://www.example.com/api/v1/contact"
}
}